> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# webpanel

> List of WebPanels visible possible for use with groups and headings.

## "webpanel" MDO List

List of WebPanels visible possible for use with groups and headings.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.WebPanelProvider">WebPanelProvider</see> class.
The name of the MDO list is 'webpanel'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/webpanel
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("webpanel", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name | StyleHint | ExtraInfo                                |
| -- | ---- | --------- | ---------------------------------------- |
| 2  | Echo |           | navigation=5\&encoding=1\&Statusbar=true |

## Related MDO Lists

* "webpanelheadings"
* "webpanelheadingswithallitem"
* "webpanelheadingswithallitemwithnoselection"
* "webpanelheadingswithnoselection"
* "webpanelwithallitem"
* "webpanelwithallitemwithnoselection"
* "webpanelwithnoselection"


## Related topics

- [Rebuild Webpanel Deltas](/en/api/reference/restful/agent/configuration_agent/rebuild-webpanel-deltas.md)
- [SuperOffice.WebApi.Data.Configuration RebuildWebpanelDeltasRequest](/en/api/reference/webapi/SuperOffice.WebApi.Data.Configuration_RebuildWebpanelDeltasRequest.md)
- [webpanelgroup](/en/api/mdo-providers/reference/webpanelgroup.md)
- [SuperOffice.WebApi.Data.WebPanelEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.WebPanelEntity.md)
- [SuperOffice.WebApi.Agents.IConfigurationAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IConfigurationAgent.md)
- [SuperOffice.WebApi.Agents.ConfigurationAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ConfigurationAgent.md)
